function fig5_1

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)
subaxis(1,1,1,1,'MT',0.01,'MB',0.18,'MR',-0.02,'ML',0.05,'P',0.04)

nx=1000;
x=linspace(0,1,nx);
a=1; b=0;
ep=0.1;
d=besselj(0,exp(1)/ep)*bessely(0,1/ep)-bessely(0,exp(1)/ep)*besselj(0,1/ep);
c0 = (b*bessely(0,1/ep)-a*bessely(0,exp(1)/ep))/d;
c1 = (a*besselj(0,exp(1)/ep)-b*besselj(0,1/ep))/d;
for ix=1:nx
    cc1=sin((exp(1)-1)/ep);
    cc2=sin((exp(x(ix))-exp(1))/ep);
    cc3=sin((exp(x(ix))-1)/ep);
    ya(ix)=exp(-0.5*x(ix))*(b*sqrt(exp(1))*cc2-a*cc2)/cc1;
    y(ix)=c0*besselj(0,exp(x(ix))/ep)+c1*bessely(0,exp(x(ix))/ep);
end

hold on
box on
grid on

plot(x,ya,'r','Linewidth',1.2)
plot(x,y,'--b','Linewidth',1.2)

set(gca,'ytick',[-1 0 1])
set(gca,'YTickLabel',{'$-1$';'0';'1'})

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

xlabel('$x$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('Solution','Interpreter','latex','FontSize',14)
legend(' WKB',' Exact','Location',[0.254379782521144 0.722078081083383 0.147435897435897 0.0841101694915254])

%exportgraphics(gcf,'/Users/mark/Desktop/fig41.pdf')


